declare namespace FC {
	namespace SecExp {

		interface UnitData {
			troops: number,
			maxTroops: number,
			equip: number
		}

		interface PlayerUnitData extends UnitData {
			active: number,
			ID: number,
			isDeployed: number
		}

		interface PlayerHumanUnitData extends PlayerUnitData {
			platoonName: string,
			training: number,
			loyalty: number,
			cyber: number,
			medics: number,
			SF: number,
			commissars: number
		}

		type PlayerHumanUnitType = "bots" | "citizens" | "mercenary" | "slave" | "SF";
		type EnemyUnitType = "raiders" | "free city" | "old world" | "freedom fighters";
	}
}
